> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GET (/users/{userId}/profile/settings/people/{userList})

> GET (/users/{userId}/profile/settings/people/{userList})

Get the profile for a user or users, with People Moniker support.
The domain for these URIs is `profile.xboxlive.com`.

* [Remarks](#ID4EV)
* [URI parameters](#ID4EKB)
* [Query string parameters](#ID4EVB)
* [Required Request Headers](#ID4EQC)
* [Request body](#ID4E2D)

## Remarks

**userList** and **userIds** are mutually-exclusive parameters. If both or either are specified, you'll get a **BadRequest** back. **userList** is an array for future-proofing in scenarios where multiple named lists are useful to request. **userIds** is composed of decimal strings for XUIDs - JSON is bad at serializing 64-bit unsigned integers. Finally, settings in XBOX One will be named settings, with normal human-readable names, rather than 64-bit unsigned integers or obscure constants like **XONLINE\_PROFILE\_ASDF**.

## URI parameters

| Parameter | Type | Description |
| - | - | - |
| userId | string | Can be either 'xuid(12345)', 'gt(myGamertag)', or 'me'. |
| userList | string | A named list of people to get settings for. Currently, People is the only list supported. |

## Query string parameters

\| Parameter| Type| Description|
\| --- | --- | --- | --- | --- | --- |
\| settings| string| A comma-delimited list of setting names.|

## Required Request Headers

\| Header| Type| Description|
\| --- | --- | --- | --- | --- | --- | --- | --- | --- |
\| x-xbl-contract-version| 32-bit signed integer| Value = 2|
\| content-type| string| Value = `application/json`|

## Request body

### Sample request

```cpp theme={null}
GET /users/me/profile/settings/people/people?settings=GameDisplayName,GameDisplayPicRaw,Gamerscore,Gamertag
      
```

##### Response body

The response is a **ReadMultiSettingsResponseV2** object. Assuming the calling user has only one friend:

```cpp theme={null}
{
      "profileUsers":[
         {
            "id":"2533274791381930",
            "settings":[
               {
                  "id":"GameDisplayName",
                  "value":"John Smith"
               },
               {
                  "id":"GameDisplayPicRaw",
                  "value":"http://images-eds.xboxlive.com/image?url=z951ykn43p4FqWbbFvR2Ec.8vbDhj8G2Xe7JngaTToBrrCmIEEXHC9UNrdJ6P7KIN0gxC2r1YECCd3mf2w1FDdmFCpSokJWa2z7xtVrlzOyVSc6pPRdWEXmYtpS2xE4F&format=png&w=64&h=64"
               },
               {
                  "id":"Gamerscore",
                  "value":"0"
               },
               {
                  "id":"Gamertag",
                  "value":"CracklierJewel9"
               }
            ]
         }
      ]
   }
         
```

## See also

##### Parent

[/users/{userId}/profile/settings/people/{userList}?settings={settings}](https://docs.xbox.com/reference/live/rest/uri/profileV2/uri-usersuseridprofilesettingspeopleuserlist.md)

[Profile (JSON)](https://docs.xbox.com/reference/live/rest/json/json-profile.md)


## Related topics

- [/users/{userId}/profile/settings/people/{userList}?settings={settings}](https://docs.xbox.com/reference/live/rest/uri/profileV2/uri-usersuseridprofilesettingspeopleuserlist.md)
- [GET (/users/{ownerId}/people/mute)](https://docs.xbox.com/reference/live/rest/uri/privacy/uri-privacyusersowneridpeoplemuteget.md)
- [GET (/users/{ownerId}/people/{targetid})](https://docs.xbox.com/reference/live/rest/uri/people/uri-usersowneridpeopletargetidget.md)
- [GET (/users/{ownerId}/people/avoid)](https://docs.xbox.com/reference/live/rest/uri/privacy/uri-privacyusersxuidpeopleavoidget.md)
- [XblProfileGetUserProfilesForSocialGroupAsync](https://docs.xbox.com/reference/live/xsapi-c/profile_c/functions/xblprofilegetuserprofilesforsocialgroupasync.md)
